## ros-lunar-libphidget21 0.7.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(libphidget21)

find_package(catkin REQUIRED COMPONENTS)

catkin_destinations() # set-up destination variables
file(MAKE_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_INCLUDE_DESTINATION})

include(ExternalProject)
ExternalProject_Add(EP_${PROJECT_NAME}
    URL https://www.phidgets.com/downloads/phidget21/libraries/linux/libphidget/libphidget_2.1.8.20151217.tar.gz
    URL_MD5 818ab2ff1de92ed9568a206e0e89657f

    CONFIGURE_COMMAND "./configure"
    SOURCE_DIR ${PROJECT_BINARY_DIR}/${PROJECT_NAME}-src
    BUILD_IN_SOURCE 1
    BUILD_COMMAND make "CFLAGS=-g -O2 -Wno-incompatible-pointer-types -Wno-deprecated-declarations -Wno-format-truncation"
        # copy headers to devel space (catkin does not like headers in source space)
        COMMAND ${CMAKE_COMMAND} -E copy_if_different ${PROJECT_BINARY_DIR}/${PROJECT_NAME}-src/phidget21.h ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_INCLUDE_DESTINATION}
        # copy libs, set-up soname chain
        COMMAND ${CMAKE_COMMAND} -E copy_if_different ${PROJECT_BINARY_DIR}/${PROJECT_NAME}-src/.libs/libphidget21.so.0.0.0 ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}
        COMMAND ${CMAKE_COMMAND} -E create_symlink libphidget21.so.0 ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}/libphidget21.so
        COMMAND ${CMAKE_COMMAND} -E create_symlink libphidget21.so.0.0.0 ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}/libphidget21.so.0
    INSTALL_COMMAND ""
)

catkin_package(
    CFG_EXTRAS libphidget21-extras.cmake # catkin_package does not support artifacts in devel space
    EXPORTED_TARGETS EP_${PROJECT_NAME}
)

install(DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_INCLUDE_DESTINATION}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(PROGRAMS ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}/libphidget21.so
                 ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}/libphidget21.so.0
                 ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}/libphidget21.so.0.0.0
    DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-lunar-libphidget21 (0.7.8-1xenial) xenial; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-lunar-libphidget21 (0.7.7-1xenial) xenial; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Mon, 17 Sep 2018 22:00:00 -0000

ros-lunar-libphidget21 (0.7.6-1xenial) xenial; urgency=high

  * libphidget21: Disable warning in CFLAGS
  * Contributors: Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Wed, 08 Aug 2018 22:00:00 -0000

ros-lunar-libphidget21 (0.7.5-1xenial) xenial; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Tue, 30 Jan 2018 23:00:00 -0000

ros-lunar-libphidget21 (0.7.4-1xenial) xenial; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Tue, 03 Oct 2017 22:00:00 -0000

ros-lunar-libphidget21 (0.7.3-1xenial) xenial; urgency=high

  * fixed broken url to phidgets library (#12 <https://github.com/ros-drivers/phidgets_drivers/issues/12>)
  * Contributors: imitschke

 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 29 Jun 2017 22:00:00 -0000

ros-lunar-libphidget21 (0.7.2-1xenial) xenial; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 01 Jun 2017 22:00:00 -0000

ros-lunar-libphidget21 (0.7.1-1xenial) xenial; urgency=high

  * libphidget21: disable warnings from upstream lib
    We can't do anything about the upstream bugs, and this caused the build
    to become "unstable" on the Kinetic build farm.
  * Migrate libphidget21 to catkin-native wrapping
  * Contributors: Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Sun, 21 May 2017 22:00:00 -0000

ros-lunar-libphidget21 (0.7.0-1xenial) xenial; urgency=high

  * Rename libphidgets => libphidget21
  * Copy libphidget21 from cob_extern
  * Contributors: Martin Günther, Murilo FM

 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 16 Feb 2017 23:00:00 -0000

ros-lunar-libphidget21 (0.6.9-1xenial) xenial; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Sun, 23 Oct 2016 22:00:00 -0000

ros-lunar-libphidget21 (0.6.8-1xenial) xenial; urgency=high

  * 0.6.7
  * update changelog
  * Contributors: ipa-nhg

 -- Martin Guenther <martin.guenther@dfki.de>  Sun, 23 Oct 2016 22:00:00 -0000

ros-lunar-libphidget21 (0.6.7-1xenial) xenial; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Wed, 19 Oct 2016 22:00:00 -0000

ros-lunar-libphidget21 (0.6.6-1xenial) xenial; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Wed, 12 Oct 2016 22:00:00 -0000

ros-lunar-libphidget21 (0.6.4-1xenial) xenial; urgency=high

  * Update header to 2015 version
  * Fix checksum for phidgets download
  * Remove old checksum
  * Upgrade to libphidget_2.1.8.20120716
  * Contributors: Alan Meekins

 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-lunar-libphidget21 (0.6.3-1xenial) xenial; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-lunar-libphidget21 (0.6.2-1xenial) xenial; urgency=high

  * catkin_linting and make all build_depends depends only
  * revert trailing whitespace in autogenerated headers
  * fix dependencies and find_package calls
  * remove mainpage.dox
  * fix trailing whitespace
  * don't use CATKIN_GLOBAL_* in CMakeLists
  * Install Tag and catkin_package adaptations
  * migrate to package format v2
  * Contributors: ipa-mig

 -- Martin Guenther <martin.guenther@dfki.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-lunar-libphidget21 (0.6.1-1xenial) xenial; urgency=high

  * update libphidgets URL
    This fixes #45 <https://github.com/ipa320/cob_extern/issues/45>.
  * Contributors: Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Wed, 27 May 2015 22:00:00 -0000

ros-lunar-libphidget21 (0.6.0-1xenial) xenial; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Mon, 15 Sep 2014 22:00:00 -0000

ros-lunar-libphidget21 (0.5.3-1xenial) xenial; urgency=high

  * Merge pull request #39 <https://github.com/ipa320/cob_extern/issues/39> from ipa-fmw/hydro_dev
    change maintainer
  * Update package.xml
  * removed unused makefile
  * added checksum for new tarball
  * updated libphidget version
  * Contributors: Florian Weisshardt, Nadia Hammoudeh García, ipa-bnm

 -- Martin Guenther <martin.guenther@dfki.de>  Sun, 24 Aug 2014 22:00:00 -0000

ros-lunar-libphidget21 (0.5.2-1xenial) xenial; urgency=high

  * Add missing rospack depends
  * Add missing find_package calls
  * Contributors: Scott K Logan

 -- Martin Guenther <martin.guenther@dfki.de>  Wed, 19 Mar 2014 23:00:00 -0000

ros-lunar-libphidget21 (0.5.1-1xenial) xenial; urgency=high

  * add changelogs
  * gone back in phidget version and fixed hydro build
  * merge
  * add dep to libusb
  * Updated version of libphidgets to 2.1.8.20130618.
  * version bump
  * missing builddep
  * added missing builddep
  * updated md5sum
  * add another lib version
  * fixed order of dependency
  * Added another include and some more gefrickel
  * gefrickel ported to cmake
  * updated phidgetversion
  * cob_extern is now cob_gefrickel :) did some cmake foo to be compatible to catkin
  * Catkinized version of stack.
    Needs checking of build flags in cob_drivers.
    Also includes updating of libphidgets to 2.1.8 for newer boards.
  * updated to new version, have to upload to wg server
  * add CMakeLists.txt
  * fuerte migration
  * update manifests
  * copy right lib files for phidget
  * changes for compiling tray_sensors
  * fix
  * fix
  * using wg tarballs
  * added deps to libusb
  * cleanup in cob_extern
  * update documentation
  * update license information
  * bugfix in libphidgets
  * libphidget package
  * Contributors: Alexander Bubeck, Denis Štogl, abubeck, ipa-bnm, ipa-fmw, uh

 -- Martin Guenther <martin.guenther@dfki.de>  Tue, 18 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-lunar-libphidget21
Section: misc
Priority: extra
Maintainer: Martin Guenther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), libusb-dev, ros-lunar-catkin
Homepage: http://ros.org/wiki/libphidget21
Standards-Version: 3.9.2

Package: ros-lunar-libphidget21
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libusb-dev
Description: This package wraps the libphidget21 to use it as a ROS dependency

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-libphidget21//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
